Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: OBS: проблема с запуском программы  (Прочитано 1234 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн arsen122

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
OBS: проблема с запуском программы
« : 18 Декабрь 2017, 11:42:33 »
 :) Привет всем!
решил на днях установить для стримов и записи видео obs, ввел в терминале что нужно, установилось. Но obs ни в какую не хочет запускаться.
При попытки запустить obs через терминал выдает ошибку  :'(

obs: error while loading shared libraries: libQt5Gui.so.5: cannot open shared object file: No such file or directory
Как понял, obs не может найти библиотеку, так как для нее не задан конкретный путь (хотя она есть...) .

Кто знает, как исправить эту ошибку?

Лазил по разным сайтам, ничего путнего не нашел

(Ubuntu 17.10)
В APT есть коровья СУПЕРСИЛА!

Оффлайн bezbo

  • Активист
  • *
  • Сообщений: 444
    • Просмотр профиля
Re: OBS: проблема с запуском программы
« Ответ #1 : 18 Декабрь 2017, 12:10:44 »
sudo dpkg -l | grep libqt5gui5?

Оффлайн arsen122

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Re: OBS: проблема с запуском программы
« Ответ #2 : 18 Декабрь 2017, 12:16:10 »
sudo dpkg -l | grep libqt5gui5?
Вот что выдал терминал
arsen122@arsen122-ubuntu:~$ sudo dpkg -l | grep libqt5gui5
[sudo] пароль для arsen122:
ii  libqt5gui5:amd64                           5.9.1+dfsg-10ubuntu1                        amd64        Qt 5 GUI module
В APT есть коровья СУПЕРСИЛА!

Оффлайн bezbo

  • Активист
  • *
  • Сообщений: 444
    • Просмотр профиля
Re: OBS: проблема с запуском программы
« Ответ #3 : 18 Декабрь 2017, 14:24:05 »
sudo obs?

Оффлайн arsen122

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Re: OBS: проблема с запуском программы
« Ответ #4 : 18 Декабрь 2017, 14:41:59 »
sudo obs?
вот что выдало
arsen122@arsen122-ubuntu:~$ sudo obs
[sudo] пароль для arsen122:
obs: error while loading shared libraries: libQt5Gui.so.5: cannot open shared object file: No such file or directory
В APT есть коровья СУПЕРСИЛА!

Оффлайн bezbo

  • Активист
  • *
  • Сообщений: 444
    • Просмотр профиля
Re: OBS: проблема с запуском программы
« Ответ #5 : 18 Декабрь 2017, 14:56:49 »
sudo dpkg -l | grep obs-studio?

Оффлайн alang

  • Старожил
  • *
  • Сообщений: 2006
    • Просмотр профиля
Re: OBS: проблема с запуском программы
« Ответ #6 : 18 Декабрь 2017, 14:57:26 »
А OBS какой архитектуры?
Я никого не сторожил!

Оффлайн arsen122

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Re: OBS: проблема с запуском программы
« Ответ #7 : 18 Декабрь 2017, 15:27:49 »
А OBS какой архитектуры?

Хм... об этом я не думал
Комп у меня 64 бит,Ubuntu 64 бит, obs точно не знаю... через терминал устанавливал(но помню что там было написанно amd64)
(пс процесор от intel (i368), а Ubuntu вроде под amd64(не точно...),это может повлиять?)
В APT есть коровья СУПЕРСИЛА!

Оффлайн arsen122

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Re: OBS: проблема с запуском программы
« Ответ #8 : 20 Декабрь 2017, 20:47:33 »
Решил самостоятельно установить библиотеку libQt5Gui.so.5. Теперь другая ошибка выходит

obs: error while loading shared libraries: libQt5Gui.so.5: wrong ELF class: ELFCLASS32
Ребят помогите пожалуйста! или предложите другие программы для прямых трансляций
В APT есть коровья СУПЕРСИЛА!

Оффлайн sergey109

  • Активист
  • *
  • Сообщений: 482
    • Просмотр профиля
Re: OBS: проблема с запуском программы
« Ответ #9 : 20 Декабрь 2017, 21:07:55 »
Решил самостоятельно установить библиотеку libQt5Gui.so.5. Теперь другая ошибка выходит

obs: error while loading shared libraries: libQt5Gui.so.5: wrong ELF class: ELFCLASS32
Ребят помогите пожалуйста! или предложите другие программы для прямых трансляций
Видимо у вас 64 битный дистрибутив, а библиотека 32-х битная.
Решение: найти 64 битную библиотеку (лучше),добавить поддержку 32 бит (хуже и намного мусорней)

Онлайн EvangelionDeath

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 2365
  • Ubuntu Mate 16.04 х64
    • Просмотр профиля
Re: OBS: проблема с запуском программы
« Ответ #10 : 20 Декабрь 2017, 21:55:31 »
Код: Bash
  1. sudo apt-get install  libqt5gui5:i386
  2.  
Fujitsu UH552: Intel Core i3-3217U, 16GB DDR3 1600MHz, Intel HD4000, Intel 535 120GB/Ubuntu 16.04 Mate
HP 625: AMD Athlon P320, 4GB DDR3 1333MHz, AMD HD4250, Seagate Momentus/Ubuntu 14.04 Mate

Оффлайн arsen122

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Re: OBS: проблема с запуском программы
« Ответ #11 : 21 Декабрь 2017, 11:58:11 »
EvangelionDeath, Попробовал так сделать, все обновилось. но ошибка осталась
arsen122@arsen122-ubuntu:~$ obs
obs: error while loading shared libraries: libQt5Gui.so.5: wrong ELF class: ELFCLASS32
В APT есть коровья СУПЕРСИЛА!

Оффлайн sergey109

  • Активист
  • *
  • Сообщений: 482
    • Просмотр профиля
Re: OBS: проблема с запуском программы
« Ответ #12 : 21 Декабрь 2017, 12:56:56 »
 Ну так пишет же - "неправильный класс"

Оффлайн arsen122

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Re: OBS: проблема с запуском программы
« Ответ #13 : 22 Декабрь 2017, 13:02:14 »
sergey109, иду в поиски библиотек нужной архитектуры!
В APT есть коровья СУПЕРСИЛА!

Оффлайн arsen122

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Re: OBS: проблема с запуском программы
« Ответ #14 : 23 Декабрь 2017, 17:04:16 »
sergey109,
Нашел сайт с архивами http://rpmfind.net/linux/rpm2html/search.php?query=libQt5Gui&submit=Search+...&system=&arch=

не знаю какой выбрать(

коротко об Ubuntu и пк
arsen122@arsen122-ubuntu:~$ neofetch
            .-/+oossssoo+/-.               arsen122@arsen122-ubuntu
        `:+ssssssssssssssssss+:`           ------------------------
      -+ssssssssssssssssssyyssss+-         OS: Ubuntu 17.10 x86_64
    .ossssssssssssssssssdMMMNysssso.       Host: TMP453-M V2.16
   /ssssssssssshdmmNNmmyNMMMMhssssss/      Kernel: 4.13.0-21-generic
  +ssssssssshmydMMMMMMMNddddyssssssss+     Uptime: 1 hour, 1 min
 /sssssssshNMMMyhhyyyyhmNMMMNhssssssss/    Packages: 2242
.ssssssssdMMMNhsssssssssshNMMMdssssssss.   Shell: bash 4.4.12
+sssshhhyNMMNyssssssssssssyNMMMysssssss+   Resolution: 1366x768
ossyNMMMNyMMhsssssssssssssshmmmhssssssso   DE: ubuntu:GNOME
ossyNMMMNyMMhsssssssssssssshmmmhssssssso   WM: GNOME Shell
+sssshhhyNMMNyssssssssssssyNMMMysssssss+   WM Theme: Adwaita
.ssssssssdMMMNhsssssssssshNMMMdssssssss.   Theme: Ambiance [GTK3]
 /sssssssshNMMMyhhyyyyhdNMMMNhssssssss/    Icons: Ubuntu-mono-dark [GTK3]
  +sssssssssdmydMMMMMMMMddddyssssssss+     Terminal: gnome-terminal
   /ssssssssssshdmNNNNmyNMMMMhssssss/      CPU: Intel i3-3120M (4) @ 2.500GHz
    .ossssssssssssssssssdMMMNysssso.       GPU: Intel Ivybridge Mobile
      -+sssssssssssssssssyyyssss+-         Memory: 2841MiB / 3749MiB
        `:+ssssssssssssssssss+:`
            .-/+oossssoo+/-.                                       



(P.s. установил еще несколько программ, они выдают точно такую же ошибку)

(P.s.s. есть идея с виртуальной машиной, установить Ubuntu 16.04 и вытянуть от туда библиотеку(хотя думаю, это бредовая идея))
« Последнее редактирование: 23 Декабрь 2017, 17:09:02 от arsen122 »
В APT есть коровья СУПЕРСИЛА!

 

Страница сгенерирована за 0.19 секунд. Запросов: 23.